# Spring Integration in Action

This project contains the code examples from the book "Spring Integration in Action" (Manning, 2012).

To build and run tests, change into the 'siia-examples' directory and execute: mvn test

To install artifacts into your local Maven repository execute: mvn install

To explore the code, we recommend importing the projects (located in the sub-directories) into an IDE such as Eclipse or IntelliJ Idea.

For more information about the book, visit http://manning.com/fisher.

## Modules

The modules of the 'siia-examples' are as follows:

| Module | Description | Chapters  |
| ------ | ------ | -----: |
| batch | Batch processing application using Spring Batch and Spring Integration | 16 |
| business | Business logic invocation (transformers, service activators) | 5 |
| concurrency | Concurrency configuration (pollers, task executors)  | 15 |
| flight-booking | More complex example of routing, XML processing and testing | 6, 8, 18 | 
| fundamentals | Basic introduction to decoupled code and dependency injection | 2 |
| hello-world  |  Introductory example to Spring and Spring Integration  |   1  |
| home-cooking | Splitters and aggregators | 7 |
| jms | JMS integration | 9 |
| messages-channels | Introduction to messages and channels | 3 | 
| monitoring | Monitoring patterns - MessageBus, History, WireTap and JMX integration | 14 |
| trip-diary | File-based integration | 11 |
| twitter | Twitter integration | 13 |
| webapp | SOAP and RESTful web services | 12 | 
